Bug 538550

Summary: mcelog: warning: 18446744073709551600 bytes ignored in each record
Product: [Fedora] Fedora Reporter: Michael Hampton <error>
Component: mcelogAssignee: Jon Masters <jcm>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: medium    
Version: 12CC: bburke264, Bert.Deknuydt, bjorn, dwagelaar, fedora-bugzilla, idirectscm, igeorgex, jbaker, jcm, jgarzik, joe.christy, jonathan, kas, kengert, kevin.hobbs.1, matthias.guentert, mike, nojunk311, peter, roth, steven.chapel, tibbs, tjb, u23104331
Target Milestone: ---Keywords: Regression
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 638014 (view as bug list) Environment:
Last Closed: 2010-06-28 23:12:02 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Michael Hampton 2009-11-18 14:34:41 EST
Description of problem:
mcelog generates the following message when being run, including from cron.hourly:

mcelog: warning: 18446744073709551600 bytes ignored in each record
mcelog: consider an update

Version-Release number of selected component (if applicable):
mcelog-0.9pre1-0.1.fc12.x86_64

How reproducible:
Always

Steps to Reproduce:
1. # mcelog 
2.
3.
  
Actual results:
mcelog: warning: 18446744073709551600 bytes ignored in each record
mcelog: consider an update

Expected results:
No warnings

Additional info:
This appears to be related to bug 501512 in which an apparently identical problem was fixed in RHEL.
Comment 1 Jan "Yenya" Kasprzak 2010-03-16 04:04:02 EDT
Ping?

The related RHEL bug has been fixed in September 2009, and is still present in Fedora in March 2010 :-(
Comment 2 Jon Masters 2010-03-16 06:07:33 EDT
As I mentioned, I had held off waiting for upstream news on the future of mce logging, but this should have had a temporary fix much sooner to clean up the error message. I will do some testing today and try to get a patch out.
Comment 3 Peter van Hooft 2010-03-20 06:52:49 EDT
Same problem in mcelog-0.7-4.fc11.x86_64.rpm
Comment 4 HughieB 2010-03-21 06:05:08 EDT
Verified. I have the same problem since the last update.
Comment 5 Björn Persson 2010-03-21 12:22:15 EDT
I have this problem since the update to 1:mcelog-0.7-4.fc11.x86_64. I have never seen it before. Even the ridiculously big number is exactly the same.
Comment 6 Mark Harig 2010-03-21 22:11:46 EDT
(In reply to comment #5)
> I have this problem since the update to 1:mcelog-0.7-4.fc11.x86_64. I have
> never seen it before. Even the ridiculously big number is exactly the same.    

Agreed.  There has been a regression.  Unfortunately, the yum repository no longer contains the previous version, so we cannot revert to mcelog 0.7-3.
Comment 7 Jason Tibbitts 2010-03-21 22:26:30 EDT
So check it out of CVS and build it, or pull it from koji:

http://koji.fedoraproject.org/koji/packageinfo?packageID=645
Comment 8 Mark Harig 2010-03-21 22:59:47 EDT
(In reply to comment #7)
> So check it out of CVS and build it, or pull it from koji:
> 
> http://koji.fedoraproject.org/koji/packageinfo?packageID=645    

Thanks.  I have done that, but my intent was to report the additional detail that the package manager included with Fedora (that is, gnome-packagekit) cannot do one of the functions it was written to do, namely, provide a graphical interface for reverting to an earlier version of a package when a problem is found in the latest available package.  If this is reported to whomever maintains which package versions are available to gnome-packagekit (that is, which versions are in the yum repository), then anyone who wants to can use this tool for this purpose.  At present, for 'mcelog', they cannot.
Comment 9 Jason Tibbitts 2010-03-21 23:19:56 EDT
Fedora does not keep multiple versions of packages in the repositories; mcelog is no different than any other package in this respect.  I would suggest that if you wish to report an issue with gnome-packagekit, you do so in a different ticket.  However, I do not believe that it would be able to offer you the behavior you seem to be expecting.  You can probably revert from a package that you, say, pulled from testing or koji to what's in the release repository, but not to some random version that used to be in the release repository.  Although if you disabled the updates repository you could probably go back to what was in GA.
Comment 10 Mark Harig 2010-03-22 00:02:07 EDT
(In reply to comment #9)
> Fedora does not keep multiple versions of packages in the repositories; mcelog
> is no different than any other package in this respect.  

My experience using gnome-packagekit is that your statement is incorrect.  Many, but not all, packages have multiple versions available via the gnome-packagekit graphical interface.  Please check this on your computer.  If you like, I can send you screenshots of this.


> I would suggest that
> if you wish to report an issue with gnome-packagekit, you do so in a different
> ticket.  However, I do not believe that it would be able to offer you the
> behavior you seem to be expecting.

I have done this before (revert to an earlier version) using gnome-packagekit's graphical interface.  I just repeated it moments ago using a package chosen at random:

   1. I installed 'yum-updateonboot' (which was not installed and which has two versions available for F11, versions 1.1.21-2 and 1.1.23-1) using the earlier version.

   2. I then upgraded to the later version using the Software Update tool.

   3. I then uninstalled the later version using gnome-packagekit's graphical interface.

   4. I then installed the earlier version (1.1.21-2) again.

>  You can probably revert from a package that
> you, say, pulled from testing or koji to what's in the release repository, but
> not to some random version that used to be in the release repository.  

I did not expect to be able to revert to an arbitrary ("random") earlier version -- only to the previous version that was available before the latest version became available.

> Although if you disabled the updates repository you could probably go back
> to what was in GA.    

Actually, I discovered my mistake.  It is possible to revert from 'mcelog-0.7.4' to 'mcelog-0.7.3' using the gnome-packagekit's graphical interface (that is, 'gpk-packagekit').  I needed to uninstall 'mcelog-0.7.4' before 'mcelog-0.7.3' became visible in the list of available versions.  I then installed version 0.7.3.

Anyone who would like to revert to version 0.7.3 of 'mcelog' until a fix is found for the defect in version 0.7.4 should be able to take these steps that I have described, namely, use the 'Add/Remove Software' tool (i.e., gpk-packagekit) to remove 0.7.4.  Once that step has completed, version 0.7.3 should be listed and can then be installed.
Comment 11 matthias.guentert 2010-03-22 05:33:16 EDT
same here on Fedora 11 x86_64 

MCElog Version:
* mcelog-0.7-4.fc11.x86_64

Cron Message:
-------------------------
/etc/cron.hourly/mcelog.cron:

mcelog: warning: 18446744073709551600 bytes ignored in each record
mcelog: consider an update
-------------------------
Comment 12 Jon Baker 2010-03-22 10:13:26 EDT
Same issue here.  Rolling back to 0.7-3 resolved it - got the RPM from http://rpm.pbone.net/index.php3?stat=26&dist=68&size=19065&name=mcelog-0.7-3.fc11.x86_64.rpm
Comment 13 Micke 2010-03-22 14:38:47 EDT
Same message here!

Rolled back with the command
# yum downgrade mcelog
Comment 14 Jeff Garzik 2010-03-24 14:27:10 EDT
This is causing cron to spam every hour, on every machine.

Increasing severity accordingly.

Version: mcelog-0.7-4.fc11.x86_64
Comment 15 Steve Chapel 2010-03-24 20:34:56 EDT
mcelog Version 0.7 Release 5.fc11 seems to fix the issue.
Comment 16 Mark Harig 2010-03-25 00:34:44 EDT
(In reply to comment #15)
> mcelog Version 0.7 Release 5.fc11 seems to fix the issue.    

Here is another vote for 0.7.5.  I have been running with 0.7.5 for several hours now without any of the email messages that were being sent by 0.7.4.
Comment 17 matthias.guentert 2010-03-25 04:33:03 EDT
mcelog-0.7-5.fc11.x86_64 fixed it for me, too!
Comment 18 Steve Chapel 2010-06-28 23:03:44 EDT
This was fixed months ago. Please mark as CLOSED FIXED.
Comment 19 Catalin BOIE 2010-07-12 05:43:45 EDT
mcelog-0.9pre1-0.1.fc13.x86_64

Same, problems: hourly SPAM:

mcelog: warning: 18446744073709551600 bytes ignored in each record
mcelog: consider an update